For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get

Retrieve an existing embed

Parameters:

Name

Optional / Required

Data type

Description

Default

id

required

String

One of your embed ids

return_fields

optional

String

Customize the responses by setting the return fields ('id', 'user_id', 'document_id', 'type', 'create_date', 'code', 'settings')

'id', 'user_id', 'document_id', 'type', 'create_date', 'code', 'settings'

Demo

URL Find your token on - yumpu.com Token

id

Optional parameters:

return_fields

Add optional parametersRun request

Example:

curl -X GET -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" "https://api.yumpu.com/2.0/embed.json?id=zKtHE23d6R0qT1rf"

Example:

require_once('../yumpu.php');
$yumpu = new Yumpu();
$data = array(
    'id' => 'zKtHE23d6R0qT1rf',
);
$listEmbed = $yumpu->getEmbed($data);
print_r($listEmbed);

Example:

var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
  id: 'zKtHE23d6R0qT1rf'
};
yumpu.getEmbed(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});

Example:

Whatever language you are using, the result will be the same.

Last updated

Was this helpful?